Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Default_Protocols_Hooks Class Reference

`#include <Default_Protocols_Hooks.h>`

Inheritance diagram for TAO_Default_Protocols_Hooks:

[legend]
Collaboration diagram for TAO_Default_Protocols_Hooks:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Default_Protocols_Hooks (void)
| destructor
virtual void | init_hooks (TAO_ORB_Core *orb_core ACE_ENV_ARG_DECL)
| Initialize the protocols hooks instance.
virtual int | call_client_protocols_hook (int &send_buffer_size, int &recv_buffer_size, int &no_delay, int &enable_network_priority, const char *protocol_type)
virtual int | call_server_protocols_hook (int &send_buffer_size, int &recv_buffer_size, int &no_delay, int &enable_network_priority, const char *protocol_type)
virtual int | update_client_protocol_properties (TAO_Stub *stub, TAO_Transport *t, const char *protocol_type)
virtual int | update_server_protocol_properties (CORBA::Policy *policy, TAO_Transport *t, const char *protocol_type)
virtual CORBA::Long | get_dscp_codepoint (void)
virtual void | rt_service_context (TAO_Stub *stub, TAO_Service_Context &service_context, CORBA::Boolean restart ACE_ENV_ARG_DECL)
virtual void | add_rt_service_context_hook (TAO_Service_Context &service_context, CORBA::Policy *model_policy, CORBA::Short &client_priority ACE_ENV_ARG_DECL)
virtual void | get_selector_hook (CORBA::Policy *model_policy, CORBA::Boolean &is_client_propagated, CORBA::Short &server_priority)
virtual void | get_selector_bands_policy_hook (CORBA::Policy *bands_policy, CORBA::Short p, CORBA::Short &min_priority, CORBA::Short &max_priority, int &in_range)
virtual int | get_thread_CORBA_priority (CORBA::Short &ACE_ENV_ARG_DECL_NOT_USED)
virtual int | get_thread_native_priority (CORBA::Short &ACE_ENV_ARG_DECL_NOT_USED)
virtual int | get_thread_CORBA_and_native_priority (CORBA::Short &, CORBA::Short &ACE_ENV_ARG_DECL_NOT_USED)
virtual int | set_thread_CORBA_priority (CORBA::Short ACE_ENV_ARG_DECL_NOT_USED)
virtual int | set_thread_native_priority (CORBA::Short ACE_ENV_ARG_DECL_NOT_USED)
virtual int | set_default_policies (ACE_ENV_SINGLE_ARG_DECL)
virtual int | set_default_server_protocol_policy (TAO_Acceptor_Registry &acceptor_registry ACE_ENV_ARG_DECL)
| Sets the default ServerProtocolPolicy.

## Constructor & Destructor Documentation

TAO_Default_Protocols_Hooks::~TAO_Default_Protocols_Hooks | ( | void |  | ) | `[virtual]`

| destructor

## Member Function Documentation

virtual void TAO_Default_Protocols_Hooks::add_rt_service_context_hook | ( | TAO_Service_Context & | service_context,
|  | CORBA::Policy * | model_policy,
|  | CORBA::Short &client_priority | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Implements TAO_Protocols_Hooks.

int TAO_Default_Protocols_Hooks::call_client_protocols_hook | ( | int & | send_buffer_size,
|  | int & | recv_buffer_size,
|  | int & | no_delay,
|  | int & | enable_network_priority,
|  | const char * | protocol_type
| ) | `[virtual]`

| Implements TAO_Protocols_Hooks.

int TAO_Default_Protocols_Hooks::call_server_protocols_hook | ( | int & | send_buffer_size,
|  | int & | recv_buffer_size,
|  | int & | no_delay,
|  | int & | enable_network_priority,
|  | const char * | protocol_type
| ) | `[virtual]`

| Implements TAO_Protocols_Hooks.

CORBA::Long TAO_Default_Protocols_Hooks::get_dscp_codepoint | ( | void |  | ) | `[virtual]`

| Implements TAO_Protocols_Hooks.

void TAO_Default_Protocols_Hooks::get_selector_bands_policy_hook | ( | CORBA::Policy * | bands_policy,
|  | CORBA::Short | p,
|  | CORBA::Short & | min_priority,
|  | CORBA::Short & | max_priority,
|  | int & | in_range
| ) | `[virtual]`

| Implements TAO_Protocols_Hooks.

void TAO_Default_Protocols_Hooks::get_selector_hook | ( | CORBA::Policy * | model_policy,
|  | CORBA::Boolean & | is_client_propagated,
|  | CORBA::Short & | server_priority
| ) | `[virtual]`

| Implements TAO_Protocols_Hooks.

int TAO_Default_Protocols_Hooks::get_thread_CORBA_and_native_priority | ( | CORBA::Short & | ,
|  | CORBA::Short & | ACE_ENV_ARG_DECL_NOT_USED
| ) | `[virtual]`

| Accessor and modifier to the current thread priority, used to implement the RTCORBA::Current interface, but it is faster for some critical components. If the RTCORBA library isn't used, these operations are no-ops. Implements TAO_Protocols_Hooks.

int TAO_Default_Protocols_Hooks::get_thread_CORBA_priority | ( | CORBA::Short & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Accessor and modifier to the current thread priority, used to implement the RTCORBA::Current interface, but it is faster for some critical components. If the RTCORBA library isn't used, these operations are no-ops. Implements TAO_Protocols_Hooks.

int TAO_Default_Protocols_Hooks::get_thread_native_priority | ( | CORBA::Short & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Accessor and modifier to the current thread priority, used to implement the RTCORBA::Current interface, but it is faster for some critical components. If the RTCORBA library isn't used, these operations are no-ops. Implements TAO_Protocols_Hooks.

virtual void TAO_Default_Protocols_Hooks::init_hooks | ( | TAO_ORB_Core *orb_core | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Initialize the protocols hooks instance. Implements TAO_Protocols_Hooks.

void TAO_Default_Protocols_Hooks::rt_service_context | ( | TAO_Stub * | stub,
|  | TAO_Service_Context & | service_context,
|  | CORBA::Boolean restart | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Implements TAO_Protocols_Hooks.

int TAO_Default_Protocols_Hooks::set_default_policies | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Sets the default_policies for ORB. 1. Sets ORB-level policy defaults for this ORB. Currently sets default RTCORBA policies: ClientProtocolPolicy. Implements TAO_Protocols_Hooks.

virtual int TAO_Default_Protocols_Hooks::set_default_server_protocol_policy | ( | TAO_Acceptor_Registry &acceptor_registry | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Sets the default ServerProtocolPolicy. Implements TAO_Protocols_Hooks.

int TAO_Default_Protocols_Hooks::set_thread_CORBA_priority | ( | CORBA::Short | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Accessor and modifier to the current thread priority, used to implement the RTCORBA::Current interface, but it is faster for some critical components. If the RTCORBA library isn't used, these operations are no-ops. Implements TAO_Protocols_Hooks.

int TAO_Default_Protocols_Hooks::set_thread_native_priority | ( | CORBA::Short | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Accessor and modifier to the current thread priority, used to implement the RTCORBA::Current interface, but it is faster for some critical components. If the RTCORBA library isn't used, these operations are no-ops. Implements TAO_Protocols_Hooks.

int TAO_Default_Protocols_Hooks::update_client_protocol_properties | ( | TAO_Stub * | stub,
|  | TAO_Transport * | t,
|  | const char * | protocol_type
| ) | `[virtual]`

| Implements TAO_Protocols_Hooks.

int TAO_Default_Protocols_Hooks::update_server_protocol_properties | ( | CORBA::Policy * | policy,
|  | TAO_Transport * | t,
|  | const char * | protocol_type
| ) | `[virtual]`

| Implements TAO_Protocols_Hooks.

The documentation for this class was generated from the following files:

- Default_Protocols_Hooks.h
- Default_Protocols_Hooks.cpp